<?xml version="1.0" encoding="UTF-8"?>
<!-- MIUI ADD: Adapt_MIUIAdaptFrame -->
<features>
    <!--whether the device is pad-->
    <bool name="is_pad">false</bool>
    <!--whether the device is xiaomi-->
    <bool name="is_xiaomi">false</bool>
    <!--whether the device is hongmi-->
    <bool name="is_hongmi">true</bool>
    <!--whether the device is redmi-->
    <bool name="is_redmi">true</bool>
    <!--whether the device support simple launcher-->
    <bool name="support_simple_launcher">false</bool>
    <!--whether the device support alpha optimized-->
    <bool name="support_alpha_optimized">true</bool>
    <!--whether the device supports torch-->
    <bool name="support_torch">true</bool>
    <!--whether install the fm app-->
    <bool name="support_fm">true</bool>
    <!--whether the device supports oldman mode-->
    <bool name="support_oldman_mode">true</bool>
    <!--whether the device is dual sim card-->
    <bool name="support_dual_sim_card">true</bool>
    <!--whether the device has dual systems-->
    <bool name="is_dual_system">false</bool>
    <!--whether the device has dual sd card-->
    <bool name="support_dual_sd_card">true</bool>
    <!--whether the device supports bt debug trace-->
    <bool name="btdebug_enabled">true</bool>
    <!--whether the device supports page layout-->
    <bool name="support_page_layout">false</bool>
    <!--whether the device supports record param-->
    <bool name="support_record_param">false</bool>
    <!--whether the device supports interview record param-->
    <bool name="support_interview_record_param">true</bool>
    <!--whether the device supports stereo record-->
    <bool name="support_stereo_record">true</bool>
    <!--whether the device supports screenrecorder inner-sound recorder mode-->
    <integer name="support_inner_record">1</integer>
    <!--whether the device supports screenrecorder a2dp inner-sound recorder-->
    <bool name="support_a2dp_inner_record">false</bool>
    <!--whether the device supports screen paper mode-->
    <bool name="support_screen_paper_mode">true</bool>
    <!--whether the device supports button light-->
    <bool name="support_button_light">false</bool>
    <!--whether the device supports emulated storage-->
    <bool name="support_emulated_storage">true</bool>
    <!--whether the device supports internal sdcard-->
    <bool name="support_internal_sdcard">false</bool>
    <!--whether the device supports power mode-->
    <bool name="support_power_mode">false</bool>
    <!--whether the device supports dolby-->
    <bool name="support_dolby">false</bool>
    <!--whether the device supports screen effect-->
    <bool name="support_screen_effect">true</bool>
    <!--which screen effect options should be show-->
    <integer name="screen_effect_supported">7</integer>
    <!--whether the device supports wapi-->
    <bool name="support_wapi">true</bool>
    <!--whether the device is mediatek-->
    <bool name="is_mediatek">true</bool>
    <!--whether the device supports media feedback-->
    <bool name="support_media_feedback">false</bool>
    <!--whether the device supports phone call noise suppression-->
    <bool name="support_phone_call_noise_suppression">false</bool>
    <!--whether the device supports touch sensitive-->
    <bool name="support_touch_sensitive">false</bool>
    <!--whether the device supports broadcom wapi-->
    <bool name="support_broadcom_wapi">true</bool>
    <!--whether the device supports erase external storage-->
    <bool name="support_erase_external_storage">true</bool>
    <!--whether the device supports headset-->
    <bool name="support_headset">true</bool>
    <!--whether the device supports nvdia wifi display-->
    <bool name="support_nvdia_wifi_display">false</bool>
    <!--whether the device supports eap sim-->
    <bool name="support_eap_sim">true</bool>
    <!--whether the device supports screen optimize-->
    <bool name="support_screen_optimize">false</bool>
    <!--whether the device supports agps-->
    <bool name="support_agps">true</bool>
    <!--whether the device supports feedback level-->
    <bool name="support_feedback_level">true</bool>
    <!--whether the device supports miui lite-->
    <bool name="enable_miui_lite">false</bool>
    <!--whether the device supports steps_provider-->
    <bool name="support_steps_provider">true</bool>
    <!--whether the device supports hifi-->
    <bool name="support_hifi">false</bool>
    <!--whether the device supports agps parameters-->
    <bool name="support_agps_paras">true</bool>
    <!--whether the device supports agps roaming-->
    <bool name="support_agps_roaming">false</bool>
    <!-- Support Android Flashlight Controller -->
    <bool name="support_android_flashlight">true</bool>
    <!--whether the device supports IR-->
    <bool name="support_ir">true</bool>
    <!-- whether the device supports app hiding-->
    <bool name="support_app_hiding">true</bool>
    <!--whether the device can read cpu4 freq-->
    <bool name="is_read_cpu4_freq">false</bool>
    <!--whether the device supports cit-->
    <bool name="support_cit">true</bool>
    <!--whether the device is xiaomi-->
    <bool name="is_xiaomi_device">true</bool>
    <!--whether the device supports encrypt-->
    <bool name="support_device_encrypt">true</bool>
    <!--whether support burst shoot in camera-->
    <bool name="support_camera_burst_shoot">true</bool>
    <!--whether support burst shoot denoise in camera-->
    <bool name="support_camera_burst_shoot_denoise">true</bool>
    <!--whether support solid recording in camera-->
    <bool name="support_camera_movie_solid">true</bool>
    <!--whether support shader effect in camera-->
    <bool name="support_camera_shader_effect">true</bool>
    <!--whether support skin beauty in camera-->
    <bool name="support_camera_skin_beauty">true</bool>
    <!--whether support age detection in camera-->
    <bool name="support_camera_age_detection">true</bool>
    <!--whether support record location in camera-->
    <bool name="support_camera_record_location">true</bool>
    <!--whether support time watermark in camera-->
    <bool name="support_camera_water_mark">true</bool>
    <!--whether support new style time watermark in camera-->
    <bool name="support_camera_new_style_time_water_mark">true</bool>
    <!--whether support face info watermark in camera-->
    <bool name="support_camera_face_info_water_mark">true</bool>
    <!--whether support pause recording in camera-->
    <bool name="support_camera_video_pause">true</bool>
    <!--whether support boosting screen brightness in camera-->
    <bool name="support_camera_boost_brightness">true</bool>
    <!--whether taking lower size panorama in camera-->
    <bool name="is_lower_size_panorama">true</bool>
    <!--whether taking lower size effect image in camera-->
    <bool name="is_lower_size_effect">false</bool>
    <!--whether support aohdr in camera-->
    <bool name="support_camera_aohdr">false</bool>
    <!--whether support high frame recording in camera-->
    <bool name="support_camera_hfr">true</bool>
    <!--whether support chroma flash in camera-->
    <bool name="support_chroma_flash">false</bool>
    <!--whether support object tracking in camera-->
    <bool name="support_object_track">false</bool>
    <!--whether support 4k recording in camera-->
    <bool name="support_camera_4k_quality">true</bool>
    <!--whether support audio focus recording in camera-->
    <bool name="support_camera_audio_focus">false</bool>
    <!--whether use morpho lib in camera-->
    <bool name="is_camera_use_morpho_lib">true</bool>
    <!--whether replace a lower cost effect to avoid preview lag-->
    <bool name="is_camera_replace_higher_cost_effect">false</bool>
    <!--whether support manual focus/exposure_time in camera-->
    <bool name="support_camera_manual_function">true</bool>
    <bool name="support_camera_manual_function_focus">true</bool>
    <bool name="support_camera_manual_function_et">true</bool>
    <!--whether capture when user press down the shutter in camera instead of left the shutter-->
    <bool name="support_camera_press_down_capture">true</bool>
    <!--whether support capture in torch mode in camera-->
    <bool name="support_camera_torch_capture">true</bool>
    <!--whether freeze preview after hdr capture in camera-->
    <bool name="is_camera_freeze_after_hdr_capture">false</bool>
    <!--whether set orientation info for face detection in camera-->
    <bool name="is_camera_face_detection_need_orientation">false</bool>
    <!--whether hold blured background for effects preview in camera-->
    <bool name="is_camera_hold_blur_background">true</bool>
    <!--whether support peaking mf in camera-->
    <bool name="support_camera_peaking_mf">false</bool>
    <!--whether support gradienter in camera-->
    <bool name="support_camera_gradienter">true</bool>
    <!--whether scan qrcode with lower frequency in camera-->
    <bool name="is_camera_lower_qrscan_frequency">true</bool>
    <!--whether listen frame with single subthread looper in camera-->
    <bool name="is_camera_preview_with_subthread_looper">true</bool>
    <!--whether add watermark in camera app-->
    <bool name="is_camera_app_water_mark">true</bool>
    <!--whether support tiltshift  in camera-->
    <bool name="support_camera_tilt_shift">true</bool>
    <!--whether support magic mirror in camera-->
    <bool name="support_camera_magic_mirror">true</bool>
    <!--whether support groupshot mode  in camera-->
    <bool name="support_camera_groupshot">true</bool>
    <!--whether rotate the final image in camera isp-->
    <bool name="is_camera_isp_rotated">false</bool>
    <!--whether support snap with screen off  in camera-->
    <bool name="support_camera_quick_snap">true</bool>
    <!-- whether the device app permission detail show in provision-->
    <bool name="support_provision_app_permission">true</bool>
    <!--whether support pre-installed application-->
    <bool name="support_pre_installed_application">true</bool>
    <!--wheater support validate device when syste upadte -->
    <bool name="support_ota_validate">true</bool>
    <!--wheater support show credentials-->
    <bool name="support_credentials">true</bool>
    <!--the vendor feature, it's value may be qcom,mediatek,leadcore or nvidia-->
    <string name="vendor">mediatek</string>
    <!--release time for the device, should be an unix timestamp-->
    <string name="release_time">1470758400000</string>
    <!--0:not support 1:close gamut 2:close ce-->
    <integer name="screen_standard_mode">2</integer>
    <!--Flag of reduce preview size in camera(1:reduce, 0:do not reduce; 1st byte:rear camera, 2nd byte:front camera, 3rd byte:rear video, 4th byte:front video )-->
    <integer name="camera_reduce_preview_flag">12</integer>
    <!--max number of burst images one time -->
    <integer name="burst_shoot_count">20</integer>
    <!--b0:flash b1:hdr b2:motion b3:night-->
    <integer name="camera_supported_asd">11</integer>
    <!--front asd b0:flash b1:hdr b2:motion b3:night-->
    <integer name="camera_supported_front_asd">10</integer>
    <!-- camera is support scene -->
    <bool name="camera_supported_scene">false</bool>
    <!-- front hht enhance-->
    <bool name="support_front_hht_enhance">true</bool>
    <!--max cpu freq of the device-->
    <integer name="cpu_max_freq">300</integer>
    <!--total steps number of camera compensation-->
    <float name="camera_exposure_compensation_steps_num">12.0</float>
    <!--Left margin of count down parent layout for front camera-->
    <float name="camera_front_count_down_margin">0.3177</float>
    <!--camera continuous shot callback class name-->
    <string name="camera_continuous_shot_callback_class">ContinuousShotCallback</string>
    <!--camera continuous shot callback setter method name-->
    <string name="camera_continuous_shot_callback_setter">setContinuousShotCallback</string>
    <bool name="fingerprint_wakeup_device">true</bool>
    <!-- fingerprint navigation event name list -->
    <string-array name="fp_nav_event_name_list">
        <item>uinput-fpc</item>
        <item>uinput-goodix</item>
    </string-array>
    <!-- finger for alipay. default do not need config. -->
    <string name="finger_alipay_ifaa_model">Xiaomi-camellia</string>
    <!-- wheter the device support soter fingerprint payment, 0: not support; 1: ota support; 2: support -->
    <integer name="type_soter_finger_pay">2</integer>
    <!-- finger record, config by owner -->
    <integer name="type_mqs_finger_record">3</integer>
    <!-- whether support double tap to wake up device -->
    <bool name="support_gesture_wakeup">true</bool>
    <!-- whether support always on -->
    <bool name="support_aod">true</bool>
    <!-- whether support keycode_goto_dismiss -->
    <bool name="aod_support_keycode_goto_dismiss">true</bool>
    <!--Led light features-->
    <bool name="support_led_light">false</bool>
    <bool name="support_led_color">true</bool>
    <bool name="support_audio_loopback">true</bool>
    <!--These app has permission to access aux camera -->
    <string-array name="camera_aux_package_list">
        <item>com.android.camera</item>
        <item>org.codeaurora.snapcam</item>
        <item>com.lctautotest.camera</item>
        <item>com.android.lightboxtest</item>
        <item>com.xiaomi.cameratools</item>
        <item>com.miui.cameratest</item>
        <item>com.miui.cit</item>
    </string-array>
    <!-- -->
    <string-array name="camera_adjust_picture_size_cmd_list">
        <!-- camera id 0 add 12M HAL_PIXEL_FORMAT_RAW16 input -->
        <item>com.android.camera:0, add, 4624, 3472, 32, true</item>
        <!-- camera id 0 set sensor size 108M, camera id 1 set sensor size 16M -->
        <item>com.antutu:0, ssize, 12000, 9000;1, ssize, 4608, 3456</item>
        <!-- camera id 1 limit picture-size <= 1920x1080 -->
        <item>com.tencent.mobileqq:1, limit, 1920, 1080</item>
    </string-array>
    <!--Add for the system data-app which could uninstall by user-->
    <string-array name="system_data_packagename_list">
        <item>com.xiaomi.pass</item>
        <item>com.xiaomi.scanner</item>
        <item>com.xiaomi.gamecenter</item>
        <item>com.miui.weather2</item>
        <item>com.miui.notes</item>
        <item>com.miui.compass</item>
        <item>com.miui.calculator</item>
        <item>com.android.email</item>
        <item>com.miui.cleanmaster</item>
        <item>com.mi.misupport</item>
        <item>com.duokan.reader</item>
        <item>com.mfashiongallery.emag</item>
        <item>com.miui.personalassistant</item>
        <item>com.miui.voip</item>
        <item>com.miui.yellowpage</item>
        <item>com.xiaomi.midrop</item>
        <item>com.android.midrive</item>
        <item>com.xiaomi.drivemode</item>
        <item>com.miui.smarttravel</item>
        <item>com.android.soundrecorder</item>
        <item>com.miui.screenrecorder</item>
    </string-array>
    <!--system data-app path list -->
    <string-array name="system_data_path_list">
        <item>/system/data-app/XMPass/XMPass.apk</item>
        <item>/system/data-app/MiuiScanner/MiuiScanner.apk</item>
        <item>/system/data-app/GameCenter/GameCenter.apk</item>
        <item>/system/data-app/MIUIWeatherGlobal/MIUIWeatherGlobal.apk</item>
        <item>/system/data-app/MIUINotes/MIUINotes.apk</item>
        <item>/system/data-app/MIUICompassGlobal/MIUICompassGlobal.apk</item>
        <item>/system/data-app/MIUICalculatorGlobal/MIUICalculatorGlobal.apk</item>
        <item>/system/data-app/Email/Email.apk</item>
        <item>/system/data-app/CleanMaster/CleanMaster.apk</item>
        <item>/system/data-app/MiSupport/MiSupport.apk</item>
        <item>/system/data-app/com.duokan.reader/com.duokan.reader.apk</item>
        <item>/system/data-app/MIGalleryLockScreenGlobal/MIGalleryLockScreenGlobal.apk</item>
        <item>/system/data-app/PersonalAssistant/PersonalAssistant.apk</item>
        <item>/system/data-app/MiuiVoip/MiuiVoip.apk</item>
        <item>/system/data-app/YellowPage/YellowPage.apk</item>
        <item>/system/data-app/MIDrop/MIDrop.apk</item>
        <item>/system/data-app/MiDrive/MiDrive.apk</item>
        <item>/system/data-app/MiuiDriveMode/MiuiDriveMode.apk</item>
        <item>/system/data-app/SmartTravel/SmartTravel.apk</item>
        <item>/system/data-app/MIUISoundRecorderTargetSdk30Global/MIUISoundRecorderTargetSdk30Global.apk</item>
        <item>/system/data-app/MIUIScreenRecorderLiteGlobal/MIUIScreenRecorderLiteGlobal.apk</item>
    </string-array>
    <!--global uninstallable system app package list-->
    <string-array name="global_uninstallable_system_packagename_list">
        <item>com.xiaomi.scanner</item>
        <item>com.miui.weather2</item>
        <item>com.miui.notes</item>
        <item>com.miui.compass</item>
        <item>com.miui.calculator</item>
        <item>com.xiaomi.midrop</item>
        <item>com.android.soundrecorder</item>
        <item>com.miui.screenrecorder</item>
    </string-array>
    <!-- whether camera support AI lens entry -->
    <bool name="camera_support_ai_lens">true</bool>
    <!--whether show my device-->
    <bool name="support_my_device">true</bool>
    <!--whether round corner-->
    <bool name="support_round_corner">false</bool>
    <!--battery capacity typ of the device-->
    <string name="battery_capacity_typ">5000</string>
    <!--whether show basic info items-->
    <bool name="support_show_basic_items">true</bool>
    <!-- whether CN hardware can flash Global rom -->
    <bool name="enable_flash_global">false</bool>
    <bool name="support_new_silentmode">true</bool>
    <!--whether taking 18x9 ratio screen in camera-->
    <bool name="is_18x9_ratio_screen">false</bool>
    <!--whether support portrait in camera-->
    <bool name="is_support_portrait">true</bool>
    <!--whether camera support screen light-->
    <bool name="support_screen_light">true</bool>
    <!--whether taking legacy face beauty in camera-->
    <bool name="is_legacy_face_beauty">false</bool>
    <!--whether front camera support hdr or not-->
    <bool name="support_front_hdr">true</bool>
　　<!--whether front camera support hht or not-->
    <bool name="support_front_hht">true</bool>
    <!--whether front camera support bokeh or not-->
　  <bool name="support_front_bokeh">true</bool>
    <!--whether support auto mirror in camera-->
    <bool name="support_auto_mirror">false</bool>
    <!--whether support auto mirror in camera-->
    <bool name="enhance_beauty_with_hht">true</bool>
    <!--whether support add watermark on bottom left of picture-->
    <bool name="support_picture_watermark">true</bool>
    <!--whether need video stabilizatiion crop-->
    <bool name="need_video_stabilization_crop">true</bool>
    <bool name="disable_video_stabilization_in_speed_slow_mode">true</bool>
    <!--whether add algorithm in file name or not-->
    <bool name="enable_algorithm_in_file_suffix">false</bool>
    <!--whether enable face detection in video and funmode or not-->
    <bool name="support_camera_video_face_detection">true</bool>
    <!-- Camera HDR default value -->
    <integer name="support_camera_hdr_default_value">3</integer>
    <integer name="support_camera_front_hdr_default_value">1</integer>
    <!--whether camera support portrait mode switch -->
    <bool name="camera_is_support_portrait_front">true</bool>
    <!--whether camera support portrait mode switch -->
    <bool name="camera_is_support_portrait_switch">true</bool>
    <!-- Support Sign Verify In Cust Partition-->
    <bool name="support_sign_verify_in_cust">true</bool>
    <bool name="support_super_resolution">true</bool>
    <!--camera_adjust_picture_size_enabled-->
    <bool name="camera_adjust_picture_size_enabled">true</bool>
    <!--whether the device support hall sensor-->
    <bool name="support_hall_sensor">false</bool>
    <!--whether sensor_has_latency-->
    <bool name="sensor_has_latency">true</bool>
    <!-- whether support touch gamemode -->
    <bool name="support_touchfeature_gamemode">true</bool>
    <!-- whether support dynamic light spot in portrait module  -->
    <bool name="support_camera_dynamic_light_spot">true</bool>
    <bool name="support_front_beauty_mfnr">true</bool>
    <!--The value of papar max level-->
    <float name="paper_mode_max_level">255.0</float>
    <!--The value of papar min level-->
    <float name="paper_mode_min_level">58.0</float>
    <!--whether paper mode and screen effect is compatible-->
    <bool name="is_compatible_paper_and_screen_effect">true</bool>
    <!--whether surpport paper mode animation-->
    <bool name="support_papermode_animation">true</bool>
    <!-- whether support dc backlight -->
    <bool name="support_dc_backlight">true</bool>
    <!-- support nfc -->
    <bool name="support_nfc">true</bool>
    <!-- NFC related -->
    <bool name="support_se_route">true</bool>
    <!-- device head sar value -->
    <float name="device_head_sar">1.130</float>
    <!-- device body sar value -->
    <float name="device_body_sar">0.634</float>
    <!-- support nfc -->
    <bool name="support_nfc">true</bool>
    <!-- NFC related -->
    <bool name="support_se_route">true</bool>
    <!-- whether support LHDC codec offload -->
    <bool name="support_lhdc">false</bool>
    <!-- whether support a2dp latency-->
    <bool name="support_a2dp_latency">true</bool>
    <!-- 2DFA support -->
    <integer name="ifaa_2dfa_support">0</integer>
    <!-- whether support hangup while screen turnning off -->
    <bool name="support_hangup_while_screen_off">true</bool>
    <!-- whether support displayfeature gamemode -->
    <bool name="support_displayfeature_gamemode">true</bool>
    <!--These region support face unlock-->
    <string-array name="support_face_unlock_region_dom">
    <item>CN</item>
    </string-array>
    <!--These region support face unlock-->
    <string-array name="support_face_unlock_region_global">
    <item>ALL</item>
    </string-array>
    <!-- whether support multi face input -->
    <bool name="support_multi_face_input">true</bool>
    <bool name="support_multi_face_input_global">true</bool>
    <!-- whether support keycode_goto_dismiss -->
    <bool name="aod_support_keycode_goto_dismiss">true</bool>
    <!-- FOD solution -->
    <integer name="fod_solution">3</integer>
    <!-- whether support low brightness FOD -->
    <bool name="support_low_brightness_fod">false</bool>
    <!-- whether support sound assist function -->
    <bool name="support_sound_assist">true</bool>
    <!-- whether support video box display effect -->
    <bool name="support_videobox_display_effect">true</bool>
    <!-- whether support true color -->
    <bool name="support_true_color">true</bool>
    <!-- whether support paper eyecare-->
    <bool name="support_paper_eyecare">true</bool>
    <!-- default color temp for paper eyecare -->
    <float name="paper_eyecare_default_value">91.0</float>
    <!-- default texture for paper eyecare -->
    <integer name="paper_eyecare_default_texture">18</integer>
    <!-- texture min value for paper eyecare -->
    <integer name="paper_eyecare_min_texture">0</integer>
    <!-- texture max value for paper eyecare -->
    <integer name="paper_eyecare_max_texture">35</integer>
    <!-- whether support fps change -->
    <integer-array name="fpsList">
        <item>120</item>
        <item>60</item>
    </integer-array>
    <integer name="defaultFps">60</integer>
     <!-- is support fingerprint tap-->
    <bool name="is_support_fingerprint_tap">true</bool>
    <!-- Whether support partial screenshot -->
    <bool name="is_support_partial_screenshot">true</bool>
    <!-- whether support display expert mode -->
    <bool name="support_display_expert_mode">true</bool>
    <!-- display expert mode color gamut default -->
    <integer name="expert_gamut_default">0</integer>
    <!-- display expert mode color gamut min -->
    <integer name="expert_gamut_min">0</integer>
    <!-- display expert mode color gamut max -->
    <integer name="expert_gamut_max">3</integer>
    <!-- display expert mode RGB default -->
    <integer name="expert_RGB_default">255</integer>
    <!-- display expert mode RGB min -->
    <integer name="expert_RGB_min">50</integer>
    <!-- display expert mode RGB max -->
    <integer name="expert_RGB_max">255</integer>
    <!-- display expert mode hue default -->
    <integer name="expert_hue_default">0</integer>
    <!-- display expert mode hue min -->
    <integer name="expert_hue_min">-127</integer>
    <!-- display expert mode hue max -->
    <integer name="expert_hue_max">127</integer>
    <!-- display expert mode saturation default -->
    <integer name="expert_saturation_default">0</integer>
    <!-- display expert mode saturation min -->
    <integer name="expert_saturation_min">-50</integer>
    <!-- display expert mode saturation max -->
    <integer name="expert_saturation_max">50</integer>
    <!-- display expert mode value default -->
    <integer name="expert_value_default">0</integer>
    <!-- display expert mode value min -->
    <integer name="expert_value_min">-255</integer>
    <!-- display expert mode value max -->
    <integer name="expert_value_max">255</integer>
    <!-- display expert mode contrast default -->
    <integer name="expert_contrast_default">0</integer>
    <!-- display expert mode contrast min -->
    <integer name="expert_contrast_min">-100</integer>
    <!-- display expert mode contrast max -->
    <integer name="expert_contrast_max">100</integer>
    <!-- display expert mode gamma default -->
    <integer name="expert_gamma_default">220</integer>
    <!-- display expert mode gamma min -->
    <integer name="expert_gamma_min">170</integer>
    <!-- display expert mode gamma max -->
    <integer name="expert_gamma_max">270</integer>
    <!-- whether support Macro Keyboard -->
    <bool name="support_mi_game_macro">true</bool>
    <!-- whether DC backlight incompatible with fps -->
    <bool name="dc_backlight_fps_incompatible">true</bool>
    <!-- gamebooster mi time -->
    <bool name="support_game_mi_time">true</bool>
    <!-- gamebooster game gunsight -->
    <bool name="support_game_gunsight">true</bool>
    <bool name="need_remove_expert_primary">true</bool>
    <bool name="need_remove_expert_bright">true</bool>
    <!-- rm update paper mode -->
    <bool name="remove_vgpaper">true</bool>
    <!-- whether support truetone-->
    <bool name="support_truetone">true</bool>
    <!-- Whether support decrease brightness for specific apps -->
    <bool name="support_decrease_brightness_spec_app">true</bool>
    <!-- Sunlight mode threshold, 4096 level backlight is 1000, 2047 is 500-->
    <integer name="threashold_sunlight_brightness">1000</integer>

    <string-array name="dynamic_partition_list">
        <item>/system</item>
        <item>/system_ext</item>
        <item>/product</item>
        <item>/vendor</item>
        <item>/mi_ext</item>
    </string-array>
    <string-array name="log_partition_list">
        <item>rescue</item>
        <item>oops</item>
        <item>minidump</item>
        <item>rawdump</item>
        <item>crash_history</item>
        <item>expdb</item>
    </string-array>
    <string name="partition_name_path">/dev/block/by-name/</string>
</features>
<!-- END Adapt_MIUIAdaptFrame -->
